Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2836023002: Fix use-after-free in MessageListView. (Closed)

Created:
2 years, 6 months ago by yhanada
Modified:
2 years, 6 months ago
Reviewers:
yoshiki, Eliot Courtney
CC:
chromium-reviews, Peter Beverloo, mlamouri+watch-notifications_chromium.org, awdf+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix use-after-free in MessageListView. This is caused by calling RemoveNotification() while 'Clear All' operation is in progress. A MessageView could be deleted twice. BUG=713983 Review-Url: https://codereview.chromium.org/2836023002 Cr-Commit-Position: refs/heads/master@{#467248} Committed: https://chromium.googlesource.com/chromium/src/+/4518695792a1cad0afdb80bbe0e3ea1850f310c1

Patch Set 1 #

Total comments: 7

Patch Set 2 : Address the comments #

Patch Set 3 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -5 lines) Patch
M ui/message_center/views/message_center_view.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ui/message_center/views/message_center_view.cc View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M ui/message_center/views/message_list_view.cc View 1 5 chunks +33 lines, -1 line 0 comments Download

Messages

Total messages: 24 (16 generated)
yhanada
PTAL.
2 years, 6 months ago (2017-04-24 12:52:33 UTC) #2
yoshiki
https://codereview.chromium.org/2836023002/diff/1/ui/message_center/views/message_list_view.cc File ui/message_center/views/message_list_view.cc (right): https://codereview.chromium.org/2836023002/diff/1/ui/message_center/views/message_list_view.cc#newcode141 ui/message_center/views/message_list_view.cc:141: Should we skip updating if the view is in ...
2 years, 6 months ago (2017-04-25 03:59:11 UTC) #7
Eliot Courtney
https://codereview.chromium.org/2836023002/diff/1/ui/message_center/views/message_list_view.cc File ui/message_center/views/message_list_view.cc (right): https://codereview.chromium.org/2836023002/diff/1/ui/message_center/views/message_list_view.cc#newcode274 ui/message_center/views/message_list_view.cc:274: observer.OnAllNotificationsCleared(); On 2017/04/25 03:59:11, yoshiki wrote: > Could you ...
2 years, 6 months ago (2017-04-25 04:08:47 UTC) #8
yhanada
https://codereview.chromium.org/2836023002/diff/1/ui/message_center/views/message_list_view.cc File ui/message_center/views/message_list_view.cc (right): https://codereview.chromium.org/2836023002/diff/1/ui/message_center/views/message_list_view.cc#newcode141 ui/message_center/views/message_list_view.cc:141: On 2017/04/25 03:59:11, yoshiki wrote: > Should we skip ...
2 years, 6 months ago (2017-04-25 05:38:04 UTC) #9
yhanada
Please take another look. Thanks!
2 years, 6 months ago (2017-04-25 09:18:34 UTC) #16
yoshiki
lgtm
2 years, 6 months ago (2017-04-26 05:26:51 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836023002/40001
2 years, 6 months ago (2017-04-26 05:45:19 UTC) #21
commit-bot: I haz the power
2 years, 6 months ago (2017-04-26 05:50:43 UTC) #24
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/4518695792a1cad0afdb80bbe0e3...

Powered by Google App Engine
This is Rietveld 408576698